% This function constructs all the necessary matrices and vectors to populates de decisions

function [Carbon,PFT,nPFT,nSTD,nLMA,nSsize,When,whenmax,nPFTS,hsg,hbymin,hmat,smax,S] = Addspecies (Constrains,PFTS,SC,tlimit)

format short G

nPFTS    = Constrains(2,1);
whenby   = Constrains(10,1);

STDmin   = PFTS(1,1);
STDmax   = PFTS(2,1);
STDby    = PFTS(3,1);
LMAmin   = PFTS(4,1);
LMAmax   = PFTS(5,1);
LMAby    = PFTS(6,1);
Ssizemin = PFTS(7,1);
Ssizemax = PFTS(8,1);
Ssizeby  = PFTS(9,1);
s        = PFTS(10,1);
nSTD     = round((STDmax-STDmin)/STDby+1);
nLMA     = round((LMAmax-LMAmin)/LMAby+1);
nSsize   = round(log(Ssizemax/Ssizemin)/log(Ssizeby)+1);


%   Dimensions
if nPFTS == -1 || SC == 1
    nPFTS = nSTD*nLMA*nSsize;
    nPFT  = 1;
else
    nPFT  = nSTD*nLMA*nSsize;
end


PFT   = zeros(3*nPFTS,nPFT^nPFTS);
if nPFTS == nSTD*nLMA*nSsize || SC == 1
    for j = 1:nPFTS
        for i = 1:nPFT^nPFTS
            PFT((j-1)*3+1,i) = mod(floor((j-1)/((nSsize*nLMA)*(nSsize*nLMA*nSTD)^(nPFT-i))),nSTD)*STDby+STDmin;
            PFT((j-1)*3+2,i) = mod(floor((j-1)/(nSsize*(nSsize*nLMA*nSTD)^(nPFT-i))),nLMA)*LMAby+LMAmin;
            PFT((j-1)*3+3,i) = Ssizemin*Ssizeby^mod(floor((j-1)/(nSsize*nLMA*nSTD)^(nPFT-i)),nSsize);
        end
    end
else
    for j = 1:nPFTS
        for i = 1:nPFT^nPFTS
            PFT((j-1)*3+1,i) = mod(floor((i-1)/((nSsize*nLMA)*(nSsize*nLMA*nSTD)^(nPFTS-j))),nSTD)*STDby+STDmin;
            PFT((j-1)*3+2,i) = mod(floor((i-1)/(nSsize*(nSsize*nLMA*nSTD)^(nPFTS-j))),nLMA)*LMAby+LMAmin;
            PFT((j-1)*3+3,i) = Ssizemin*Ssizeby^mod(floor((i-1)/(nSsize*nLMA*nSTD)^(nPFTS-j)),nSsize);
        end
    end
end


%end

%   When to plant: all conditions
if Constrains(7,1) == 0 %nPFTS ~= nSTD*nLMA*nSsize
    nwhen    = tlimit/whenby+1;
    whenmax  = nwhen^nPFTS;
    Plant0 = zeros(whenmax,nPFTS);
    When = zeros(whenmax,nPFTS);
    for j = 1:nPFTS        
        for i = 1:whenmax
            Plant0(i,j) = mod(floor((i-1)/nwhen^(nPFTS-j)),nwhen)*whenby+1;
        end        
    end
    for i = 1:whenmax
        if any(Plant0(i,:)== 1) == 1;
            When(i,:)= Plant0(i,:);
        end
    end
    whenmax = nnz(When)/nPFTS;
else
    When = 1;
    whenmax = 1;
end

%   Population matrix of densities at different size for every PFTS
[~,~,~,~,~,~,~,~,~,~,~,hsg,hmat,~,hbymin,~,smax,S] = Allometry(PFT,~,s)

%   Global matrix of general condition that determine the dynamic of carbon for different set of PFTS
dim=0;
if nPFTS == nSTD*nLMA*nSsize || SC == 1
    Carbon = zeros(nPFT,3+1+tlimit,3,whenmax);
    for STD=STDmin:STDby:STDmax
        for LMA=LMAmin:LMAby:LMAmax
            for SS=0:nSsize-1
                Ssize = PFTS(7,1)*PFTS(9,1)^SS;
                dim = dim+1;
                Carbon(dim,1,:) = STD;
                Carbon(dim,2,:) = LMA;
                Carbon(dim,3,:) = Ssize;
            end
        end
    end    
else
    Carbon = zeros((nSTD*nLMA*nSsize)^nPFTS,nPFTS*3+1+tlimit,3,whenmax);
    for k = 1:3   %  for POC,SOChum & TOC
        for j = 1:nPFTS
            for i = 1:(nSTD*nLMA*nSsize)^nPFTS
                Carbon(i,(j-1)*3+1,k) = mod(floor((i-1)/((nSsize*nLMA)*(nSsize*nLMA*nSTD)^(nPFTS-j))),nSTD)*STDby+STDmin;
                Carbon(i,(j-1)*3+2,k) = mod(floor((i-1)/(nSsize*(nSsize*nLMA*nSTD)^(nPFTS-j))),nLMA)*LMAby+LMAmin;
                Carbon(i,(j-1)*3+3,k) = Ssizemin*Ssizeby^mod(floor((i-1)/(nSsize*nLMA*nSTD)^(nPFTS-j)),nSsize);
            end
        end
    end
end

end



