% This function constructs all the necessary matrices and vectors to populates de decisions

function [LHTs,Nspecies,LHTby,hsg,hmat,hbymin,smax,S,height] = Dimensions(Timbermin,Timbermax,nTimber,LMAmin,LMAmax,nLMA,Seedmin,Seedmax,nSeed)

%format short G
Parameters
%%   Populates necessary variables
Nspecies       = nTimber*nLMA*nSeed;        % number of plant functional traits planted
Timberby    = (Timbermax-Timbermin)/(nTimber-1);
LMAby       = (LMAmax-LMAmin)/(nLMA-1);
Seedby      = exp(log(Seedmax/Seedmin)/(nSeed-1));
LHTby = [Timberby,LMAby,Seedby];

%%   Vector of all the plant functional trait combinations
LHTs   = zeros(Nspecies,3);
for j = 1:Nspecies
    LHTs(j,1) = mod(floor((j-1)/((nSeed*nLMA))),nTimber)*Timberby + Timbermin;
    LHTs(j,2) = mod(floor((j-1)/(nSeed)),nLMA)*LMAby + LMAmin;
    LHTs(j,3) = Seedmin*Seedby^mod(floor((j-1)),nSeed);
end

%%   Evaluate the resolution of the stratefication of trees by height classes
h = 1; % 1m
[~,~,~,~,~,~,~,~,~,~,hmax,hsg,hmat,hby] = Allometry(LHTs,h,s,1);
hbymin  = min(min(hby));    %  use the minimum height class from trees found in the forest
S  = round(hmax(:,:)./hbymin);  %  matrix that gives the number of height classes for all the possible plant functional trait syndromes found in the forest
smax = max(max(S));             %  Evaluate the maximum number of height classes for the tallest possible tree found in the forest

%%   All the height classes
hsize = (hbymin.*[1:smax-1])'*ones(1,size(S,1));
hsize = cat(1,zeros(1,size(S,1)),hsize);
hsgt = ((hsg(:,1))*ones(1,smax))';  %hsgt = ((hsg(:,1) + .5.*hbymin)*ones(1,smax))';
height  = (hsgt + hsize);




