function [ClimSeries, D, D0, MAT0, Water] = Environment(Clim, Land, Landmax, Lat, Long, SoilElements, Tmax)

%%  Climate  time series 
if Clim == 1    %  Wetter/Hoter Climate
    
    if  exist('Clim1', 'file') == 0
      
      disp("- Creating the IPCC climate scenario (it takes time the first time)")
      [ClimSeries, MAT, MAT0, D, D0] = IPCC(Tmax, Lat, Long, Clim); %	Defines the IPCC climate projections
      
    end
    
    display ("- Climate scenario: wetter & hotter")
    Climate = dlmread('Clim1'); %ClimSeries(:,:,1);
    MAT = dlmread('MAT1');
    D = dlmread('D1');
    ClimAv = dlmread('ClimAv1');
    MAT0(Clim) = ClimAv(Clim, 1);
    D0(Clim) = ClimAv(Clim, 2);        
    
elseif Clim == 2    %   Dryer/Hoter Climate 
    
    if  exist('Clim2', 'file') == 0
      
      disp("- Creating the IPCC climate scenario (it takes time the first time)")
      [ClimSeries, MAT, MAT0, D, D0] = IPCC(Tmax, Lat, Long, Clim); %	Defines the IPCC climate projections
      
    end
    
    display ("- Climate scenario: dryer & hotter")
    Climate = dlmread('Clim2'); 
    MAT = dlmread('MAT2');
    D = dlmread('D2');
    ClimAv = dlmread('ClimAv2');
    MAT0(Clim) = ClimAv(Clim, 1);
    D0(Clim) = ClimAv(Clim, 2);    
    
end  
 
%%   Position in the catchment (upland / lowland)    
if Land == 1
    display("- Landscape scenario: upland");
elseif Land == 2
    display("- Landscape scenario: lowland")
end

%%   Initial water conditions before sequestration scenario
[~, ~, ~, ~, ~, Water] = Soil(SoilElements);  