function Harvesting(dEdN,dEdz,N,S,Ssize,LMA,TD,PFT,strategy,Cintensity)

Citensity = Intensity + Citensity;

%% Decision 2: Once the choice of harvesting is made, what is the
        % decision probability of harvesting the total forest stock 100%, or harvesting selectively/partially  (<100% of the area for different types of timber
        
        % Parameters:
            % MPS: Monospecific plantation Softwood   (e.g., Pine plantation)
            % NS: Natural forest Softwood  
            % UH: Upland hardwood
            % LH: Lowland hardwood
            % Diversity: Shannon tree diversity index
            % Revenue: discounted revenue / Vol timber / ha 
            % Owner: dummy, 1 if public, or 0 if NIPF.
            % Slope: proxi for harvesting costs (slope or hydricity of the soil).
            % Assume Slope = 0
            % Remeasure: log of the remeasurment period (average 5 years)
    
    
        % Country: USA, State: Virginia (Vokoun et al., 2006) 
            H100 = 1/(1 + exp(-(IncomeHH*2.06E-5 + Bequest*2.13 + TenureY*7.06E-2 + Nchildren*0.755 - Structure*3.822 + Invest*0.811 - Revenue*3.8E-4 - HuntDays*0.264)));
            H50 = 1/(1 + exp(-(IncomeHH*1.38E-5 + Bequest*1.695 + BequestTimb*1.96 + Timberpast*1.614 - HuntDays*0.367)));
            H25 = 1 - H100 - H50;   
            H25(H25<0) = 0;
            [p,n] = max([H100,H50 + H25]);       
            if n == 1 
                Intensity = 1;
                % Country: USA, States aggregate: South AL,FL,GA,NC,TN,VA (Polyakov et al., 2010, Table 1: median of all significant parameters between seven states)    
                %if governance == 1 % Community: asumption on the value
                    %Owner = 0.5;
                %elseif governance == 2 % state
                    %Owner = 1;
                %elseif governance == 3 % NIPF
                    %Owner = 0;
                %end                         
                %MPS = 1/(1 + exp(-(-3.5398 + Revenue*Afi*0.0013 - Owner*1.2595 - Diversity*0.4515 + Remeasure*1.0977)));
                %NS = 1/(1 + exp(-(-3.7623 + Revenue*Afi*0.0006 - Owner*1.2595 - Diversity*0.4515 + Remeasure*1.0977)));
                %FGM = 1/(1 + exp(-(-4.1080 + Revenue*Afi*0.0005 - Owner*1.2595 - Diversity*0.4515 + Remeasure*1.0977)));
                %UH  = 1/(1 + exp(-(-4.4656 + Revenue*Afi*0.00085 - Owner*1.2595 - Diversity*0.4515 + Remeasure*1.0977)));
                %LH  = 1/(1 + exp(-(-4.8019 + Revenue*Afi*0.0006 - Owner*1.2595 - Diversity*0.4515 + Remeasure*1.0977)));
                %Choice = [FGP FGN FGM UH LH]';
               
      
     % Decision 3: Once the decision at a property level of partial harvest is made, what are the stands harvested      
                   % Partial harvest (reduce basal area but dbh and age class do not change) or Selective harvest of PFT. We assume no distinction here.
                
            elseif n == 2 
            
            % Country: USA, States aggregate: South AL,FL,GA,NC,TN,VA (Polyakov et al., 2010, Table 1: median of all significant parameters between seven states)    
                %if governance == 1 % Community: asumption on the value
                    %Owner = 0.5;
                %elseif governance == 2 % state
                    %Owner = 1;
                %elseif governance == 3 % NIPF
                    %Owner = 0;
                %end           
                %FGP = 1/(1 + exp(-(-3.2691 + Revenue*0.0013 - Owner*1.4456 + Diversity*0.6802 + Remeasure*1.1022)));
                %FGN = 1/(1 + exp(-(-3.9683 + Revenue*0.0006 - Owner*1.4456 + Diversity*0.6802 + Remeasure*1.1022)));
                %FGM = 1/(1 + exp(-(-4.3372 + Revenue*0.0005 - Owner*1.4456 + Diversity*0.6802 + Remeasure*1.1022)));
                %UH  = 1/(1 + exp(-(-4.6569 + Revenue*0.00085 - Owner*1.4456 + Diversity*0.6802 + Remeasure*1.1022)));
                %LH  = 1/(1 + exp(-(-5.2927 + Revenue*0.0006 - Owner*1.4456 + Diversity*0.6802 + Remeasure*1.1022)));
                %Choice = [FGP FGN FGM UH LH]';               
            
        % Country: USA, State aggregate (12): Maine, New-York, New England, Michiga, Pennsylvania, Maryland, Wisconsin, Illinois, Indiana, Ohio, Kentucky, Virginia (Canham et al., 2013) 
                if TD >= 250  % lightwood (Fir (530)/Spruce(400-700)/pine(350-670)/redwood(450-510)
                    a = 1;
                    m = 0.0004;
                    b = 1;
                elseif TD >= 500 % midheavywood: Aspen / Birch
                    a = 1;
                    m = 0.0028;
                    b = 0.58;
                elseif TD >= 750 % heavywood forest: average parameters between Oak forests (mix oak [600-900]-pine[350-670] / mix oak-hichory[830]), and northern hardwood forests (average 713: maple[600-750] - beech[700-900] - birch[670]
                    a = 1;
                    m = 0.0042;
                    b = 0.475;               
                end   
                Pharvest = 1 - a*exp(-m*Badult^b)^T; 
                
   % Decision 4: Once the harvesting probability of every stand is known, 
                % what is the intensity of harvesting the stand of a given the above ground biomass of the stand (or stand basal area) for a given census interval T [year] : 
                          
        % Country: USA, State aggregate: South East (Buttler B., 2005)
            %SBA = (pi/40000)*sum(dbh^2)/A;    
            %SBA1 = SBA/0.2296; % convertion into square feet/acre    
            %Intensity = -0.0015*SBA1^2 + 0.3931*SBA1 - 0.2992; % (R^2 = 0.886)
                
        % Country: USA, State aggregate (12): Maine, New-York, New England, Michiga, Pennsylvania, Maryland, Wisconsin, Illinois, Indiana, Ohio, Kentucky, Virginia (Canham et al., 2013) 
                if TD >= 250  % lightwood forest (Fir (530)/Spruce(400-700)/pine(350-670)/redwood(450-510)   (lightest wood = Balsa ~ 160kg/m3)
                    alpha = 39.98;
                    mu = - 0.001;
                    beta = 1;
                elseif TD >= 500 % medium-ligh/heavy wood forest: Aspen / Birch
                    alpha = 47.77;
                    mu = - 0.0021;
                    beta = 1;
                elseif TD >= 750 % heavywood forest: average parameters between Oak forests (mix oak [600-900]-pine[350-670] / mix oak-hichory[830]), and northern hardwood forests (average 713: maple[600-750] - beech[700-900] - birch[670]
                    alpha = 61.21;
                    mu = 0.205;
                    beta = 0.188;  
            %NB: very heavy > 1000, ironwood > 1250 kg (lignum Vitae)
                end
            Intensity = alpha.*exp(-mu*Badult^beta).*Choice;                
            end 
            
    % Decision 5: Tree-level decision: percentage of each size-class logged for every type of species (PFT). 
                
        % Country: USA,State aggregate (12): Maine, New-York, New England, Michiga, Pennsylvania, Maryland, Wisconsin, Illinois, Indiana, Ohio, Kentucky, Virginia (Canham et al., 2013) 
        % see timber density of species: http://www.wood-database.com/wood-identification/
            % TD == 250  % Fir (530)/Spruce(400-700)/pine(350-670)/redwood(450-510)
                mu250 = 40.33;
                alpha250 = 1.544286;
                beta250 = 0.004657;
                gamma250 = 0.9471;                
            % TD == 500 
                mu500 = 45.63818; 
                alpha500 = 1.708182;
                beta500 = 0.005845;
                gamma500 = 0.929091;    
            % TD == 750 
                mu750 = 43.0733;
                alpha750 = 2.34333;
                beta750 = 0.001373;
                gamma750 = 0.91;                
            
            Plogg250 = (1 - gamma250*exp(-beta250*Intensity^alpha250)*(exp(- 0.5*((dbh - mu250)/(a + b*Intensity^c))^2)));
            Plogg500 = (1 - gamma500*exp(-beta500*Intensity^alpha500)*(exp(- 0.5*((dbh - mu500)/(a + b*Intensity^c))^2)));
            Plogg750 = (1 - gamma750*exp(-beta750*Intensity^alpha750)*(exp(- 0.5*((dbh - mu750)/(a + b*Intensity^c))^2)));
            
    % Global decision and supply: Aggregate Supply Model
            Supply_TFP = AT.*Psell.*Pharvest.*Intensity.*Choice;
            Decision_250 = Psell.*Pharvest.*Choice.*Intensity.*Plogg250;
            Decision_500 = Psell.*Pharvest.*Choice.*Intensity.*Plogg500;
            Decision_750 = Psell.*Pharvest.*Choice.*Intensity.*Plogg750;
            