%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    Evaluation of Management Performances (EMP)
%    Inputs: CarbonBiodiv is a matrix containing carbon and Biodiversity
%    values.
%      

function Plot_Analysis_1(A)

%%%%%%%%%%%%%%%%%%%%%%%%%%% FIGURE 3A %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                RELATIONSHIP BETWEEN THE PFD AND TOC                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
MP = cat(2, BCD(:, :, 6, :), BCD(:, :, 1, :));  % Evaluate the management performances and plot data with the Pareto Front
S = zeros(size(A,1)*size(A,3)*size(A,4)*size(A,5)*size(A,6),2);

%   Brut force sqeeze (sorry couldn't find better): idea, try vec-permutation
%   matrix or fonction cat
for n = 1:size(A,6)
    for m=1:size(A,5)
        for l=1:size(A,4)
            for k=1:size(A,3)
                for j=1:size(A,2)
                    for i=1:size(A,1)  
                        S(size(A,5)*size(A,4)*size(A,3)*size(A,1)*(n-1)+size(A,4)*size(A,3)*size(A,1)*(m-1)+size(A,3)*size(A,1)*(l-1)+size(A,1)*(k-1)+i,j) = A(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end

%   Evaluate the Pareto front F from the space of results S
    [F ~] = Pareto(S);
    Fs = sortrows(F,1);  % sort for joining the dots in scatter plot based on x-axe
    [~,pFR] = max(sum(F,2));

%%%%%%%%%%%%%%%%%%%%%%%%%%% FIGURE 3B %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%         Regeneration phase: Self-recovery, FFTM or MFDM?                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    

Am = mean(A,1);
As = std(A)./sqrt(size(A,1));
%   Evaluate the best strategy that maximizes the long-term average 
%   Carbon/PFT cobenefits in different climate conditions
Sm11 = zeros(size(Am,4),2,size(Am,3),size(Am,6));
Ss11 = zeros(size(Am,4),2,size(Am,3),size(Am,6));
Sm1 = zeros(size(Am,3),2,size(Am,6));

%   Average: Brut force sqeeze (sorry couldn't find better)
for n = 1:size(Am,6)
    for m=1:1
        for l=1:size(Am,4)
            for k=1:size(Am,3)
                for j=1:size(Am,2)
                    for i=1:size(Am,1)  
                        Sm11(size(Am,4)*size(Am,1)*(m-1)+size(Am,1)*(l-1)+i,j,k,n) = Am(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end
Sm12 = mean(Sm11);
for n = 1:size(Sm12,4)    
    for k=1:size(Sm12,3)
        for j=1:size(Sm12,2)
            for i=1:size(Sm12,1)  
                Sm1(size(Sm12,1)*(k-1)+i,j,n) = Sm12(i,j,k,n);
            end          
        end
    end
end

%   Standard errors: Brut force sqeeze (sorry couldn't find better)
for n = 1:size(As,6)
    for m=1:1
        for l=1:size(As,4)
            for k=1:size(As,3)
                for j=1:size(As,2)
                    for i=1:size(As,1)  
                        Ss11(size(As,4)*size(As,1)*(m-1)+size(As,1)*(l-1)+i,j,k,n) = As(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end

Ss12 = mean(Ss11);
for n = 1:size(Ss12,4)    
    for k=1:size(Ss12,3)
        for j=1:size(Ss12,2)
            for i=1:size(Ss12,1)  
                Ss1(size(Ss12,1)*(k-1)+i,j,n) = Ss12(i,j,k,n);
            end          
        end
    end
end

%   Euclidian distance with Perato optimal point (weight 50%/50%)
dt1 = sqrt((F(pFR,1) - Sm1(:,1,:)).^2 + (F(pFR,2) - Sm1(:,2,:)).^2);
[dmin1,pmin1] = min(dt1); %   Shortest euclidian distance

%   Planting vector
P = {'Self' 'FFT_1' 'FFT_2' 'MFD_\phi' 'MFD_\sigma' 'MFD_\delta'}';

%   NB: Can supplement with the orthogonal distance with Pareto vector
%theta1 = acosd(F(1,1)./sqrt(F(1,1).^2 + F(1,2).^2));
%theta2 = acosd(Sm1(:,1,:,:)./sqrt(Sm1(:,1,:,:).^2 + Sm1(:,2,:,:).^2));
%theta3 = abs(theta1 - theta2);
%d2 = sqrt(Sm1(:,1,:,:).^2 + Sm1(:,2,:,:).^2).*cosd(theta3);
%dt = d1 + d2   % with d1 the Euclidian distance with Perato optimal point

%%%%%%%%%%%%%%%%%%%%%%%%%%% FIGURE 3C %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                Maintenance phase: What to thin?                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%   Evaluate the best strategy that maximizes the long-term average 
%   Carbon/PFT cobenefits in different climate conditions
Sm2 = zeros(size(Am,3)*size(Am,4),2,size(Am,6));
Ss2 = zeros(size(Am,3)*size(Am,4),2,size(Am,6));

% Average: Brut force sqeeze (sorry couldn't find better)
for n = 1:size(Am,6)
    for m=1:1
        for l=1:size(Am,4)
            for k=1:size(Am,3)
                for j=1:size(Am,2)
                    for i=1:size(Am,1)  
                        Sm2(size(Am,4)*size(Am,3)*size(Am,1)*(m-1)+size(Am,3)*size(Am,1)*(l-1)+size(Am,1)*(k-1)+i,j,n) = Am(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end

% Standard errors: Brut force sqeeze (sorry couldn't find better)
for n = 1:size(As,6)
    for m=1:1
        for l=1:size(As,4)
            for k=1:size(As,3)
                for j=1:size(As,2)
                    for i=1:size(As,1)  
                        Ss2(size(As,4)*size(As,3)*size(As,1)*(m-1)+size(As,3)*size(As,1)*(l-1)+size(As,1)*(k-1)+i,j,n) = As(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end

%   Euclidian distance with Perato optimal point (weight 50%/50%)
dt2 = sqrt((F(pFR,1) - Sm2(:,1,:)).^2 + (F(pFR,2) - Sm2(:,2,:)).^2);
[dmin2,pmin2] = min(dt2); %   Shortest euclidian distance
% What is the number of the best thinning strategy:
bthin = floor((pmin2-1)./(size(Am,3)))+1;
    
%%%%%%%%%%%%%%%%%%%%%%%%%%% FIGURE 3D %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%                Maintenance phase: Which thinning regime?                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%   Evaluate the best strategy that maximizes the long-term average 
%   Carbon/PFT cobenefits in different climate conditions
Sm31 = zeros(size(Am,3),2,size(Am,5),size(Am,6));
Ss31 = zeros(size(Am,3),2,size(Am,5),size(Am,6));
Sm3 = zeros(size(Am,5),2,size(Am,6));

%   Average: Brut force sqeeze (sorry couldn't find better)
for n = 1:size(Am,6)
    for m=1:size(Am,5)      
        for l = bthin(1,1,n)
            for k=1:size(Am,3)
                for j=1:size(Am,2)
                    for i=1:size(Am,1)  
                        Sm31(size(Am,1)*(k-1)+i,j,m,n) = Am(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end
Sm32 = mean(Sm31);
for n = 1:size(Sm32,4)
    for m = 1:size(Am,5)
        for k=1:size(Sm32,3)
            for j=1:size(Sm32,2)
                for i=1:size(Sm32,1)  
                    Sm3(size(Sm32,1)*(m-1)+i,j,n) = Sm32(i,j,m,n);
                end          
            end
        end
    end
end

%   Standard errors: Brut force sqeeze (sorry couldn't find better)
%   Average: Brut force sqeeze (sorry couldn't find better)
for n = 1:size(As,6)
    for m=1:size(As,5)      
        for l = bthin(1,1,n)
            for k=1:size(As,3)
                for j=1:size(As,2)
                    for i=1:size(As,1)  
                        Sm31(size(As,1)*(k-1)+i,j,m,n) = As(i,j,k,l,m,n);
                    end
                end
            end
        end
    end
end
Ss32 = mean(Ss31);
for n = 1:size(Ss32,4)    
     for m = 1:size(Am,5)
         for k=1:size(Ss32,3)
            for j=1:size(Ss32,2)
                for i=1:size(Ss32,1)  
                    Ss3(size(Ss32,1)*(m-1)+i,j,n) = Ss32(i,j,m,n);
                end          
            end
         end
    end
end
%   Euclidian distance with Perato optimal point (weight 50%/50%)
dt3 = sqrt((F(pFR,1) - Sm3(:,1,:)).^2 + (F(pFR,2) - Sm3(:,2,:)).^2);
[dmin3,pmin3] = min(dt3); %   Shortest euclidian distance

%%%%%%%%%%%%%%%%%%%%%%%%%% PLOT FIGURE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  
subplot(2,2,1) % Fig 3A| Carbon-Biodiversity relationship    
    set(gca,'fontsize',8)    
    scatter(S(:,1),S(:,2),5,'x','k');
    hold all
    axis([0 ceil(max(S(:,1))) 0 ceil(max(S(:,2)))])    
    plot(Fs(:,1),Fs(:,2),'-o','Color',[1 0.6 0],'MarkerSize',5);    
    x = 0:.1:ceil(max(S(:,1)));
    y = max(F(pFR,2))/max(F(pFR,1))*x;
    plot(x,y,'-.','Color',[1 0.6 0])    
    xlabel('Annual PFD [H^,]')
    ylabel('Annual TOC [kg.m^-^2]')
    title('Carbon-biodiversity relationship')       
subplot(2,2,2) % Fig 3B| Regeneration phase: What to plant?  
    set(gca,'fontsize',8)
    lscatter(Sm1(:,1,1),Sm1(:,2,1),P,'TextColor','b');
    hold all
    lscatter(Sm1(:,1,2)',Sm1(:,2,2)',P,'TextColor','r');
    lscatter(Sm1(pmin1(1,1,1),1,1),Sm1(pmin1(1,1,1),2,1),P(pmin1(1,1,1),1),'TextColor','b','FontWeight','bold')
    lscatter(Sm1(pmin1(1,1,2),1,2),Sm1(pmin1(1,1,2),2,2),P(pmin1(1,1,2),1),'TextColor','r','FontWeight','bold')
    axis([0 ceil(max(max(Sm1(:,1,:)))) 0 ceil(max(max(Sm1(:,2,:))))])
    x = 0:.1:ceil(max(max(Sm1(:,1,:))));
    y = max(F(pFR,2))/max(F(pFR,1))*x;
    plot(x,y,'-.','Color',[1 0.6 0])    
    xlabel('Average PFD [H^,]')
    ylabel('Average TOC [kg.m^-^2]')
    title('Regeneration phase: What to plant?')  
subplot(2,2,3) % Fig 3C| Maintenance phase: What to thin?
    set(gca,'fontsize',8)            
    scatter(Sm2(:,1,1),Sm2(:,2,1),'x','b');
    hold all    
    scatter(Sm2(:,1,2),Sm2(:,2,2),'x','r');
    scatter(Sm2(pmin2(1,1,1),1,1),Sm2(pmin2(1,1,1),2,1),'o','b')
    scatter(Sm2(pmin2(1,1,2),1,2),Sm2(pmin2(1,1,2),2,2),'o','r')
    axis([0 ceil(max(max(Sm2(:,1,:)))) 0 ceil(max(max(Sm2(:,2,:))))])
    x = 0:.1:ceil(max(max(Sm2(:,1,:))));
    y = max(F(pFR,2))/max(F(pFR,1))*x;
    plot(x,y,'-.','Color',[1 0.6 0])  
    xlabel('Average PFD [H^,]')
    ylabel('Average TOC [kg.m^-^2]')
    title('Maintenance phase: What to thin?') 
subplot(2,2,4) % Fig 3D| Maintenance phase: Which thinning regime?
    set(gca,'fontsize',8)
    lscatter(Sm3(:,1,1),Sm3(:,2,1),[1:size(A,5)]','TextColor','b');
    hold all    
    lscatter(Sm3(:,1,2),Sm3(:,2,2),[1:size(A,5)]','TextColor','r');
    lscatter(Sm3(pmin3(1,1,1),1,1),Sm3(pmin3(1,1,1),2,1),pmin3(1,1,1),'TextColor','b','FontWeight','bold')
    lscatter(Sm3(pmin3(1,1,2),1,2),Sm3(pmin3(1,1,2),2,2),pmin3(1,1,2),'TextColor','r','FontWeight','bold')
    axis([0 ceil(max(max(Sm3(:,1,:)))) 0 ceil(max(max(Sm3(:,2,:))))])
    x = 0:.1:ceil(max(max(Sm3(:,1,:))));
    y = max(F(pFR,2))/max(F(pFR,1))*x;
    plot(x,y,'-.','Color',[1 0.6 0])    
    xlabel('Average PFD [H^,]')
    ylabel('Average TOC [kg.m^-^2]')
    title('Maintenance phase: Which thinning regime?') 

    % Evaluate Ellipse for grouping planting actions per thinning action
%X = zeros(2,size(As,3),size(As,6));
%z = zeros(size(As,4),size(As,6));
%a = zeros(size(As,4),size(As,6));
%b = zeros(size(As,4),size(As,6));
%alpha = zeros(size(As,4),1);
%for j = 1:size(As,6)
    %for i = 1:size(As,4)
        %X(:,:,j) = cat(1,(Sm2((i-1)*size(Am2,3)+1:(i-1)*size(Am2,3)+size(Am2,3),1,j))',Sm2((i-1)*size(Am2,3)+1:(i-1)*size(Am2,3)+size(Am2,3),2,j)');
        %[z(i,j), a(i,j), b(i,j), alpha(i,j)] = fitellipse(X(:,:,j));
    %end
%end
    
    
    
    
%   Stock the Best values for 
%Best = zeros(size(A,6),1);
%BestPlant = zeros(size(A,6),2);
%BestThin = zeros(size(A,6),2);

%BestPlant(1,1) = pmin1(1,1,1);
%BestPlant(1,2) = pmin1(1,1,2);


