function Plot_Analysis_3(OUTPUT, Clim, Land)

%% Dimensions of OUTPUT = [years, variables, forestry practices, number of species, replicates]
  
%% Estimation of statistics

OUTPUT_delta = (OUTPUT(:, :, 1, :, :) - OUTPUT(:, :, 2, :, :)) ./ OUTPUT(:, :, 2, :, :); % OUTPUT_delta = zeros(size(OUTPUT(:, :, :, :, :), 1), size(OUTPUT(:, :, :, :, :), 2), 1, size(OUTPUT(:, :, :, :, :), 4), size(OUTPUT(:, :, :, :, :), 5))  
OUTPUT_delta(1, :, :, :, :) = []; % Remove first row containing time t0 as it contains many NAn values
OUTPUT_delta_mean_tmp = mean(OUTPUT_delta, [1 5]); % mean: computes mean based on the dimensions specified in vector [1 5], 1: time chronicle, 5: replicates
splitmean = num2cell(OUTPUT_delta_mean_tmp, [1 2]);
OUTPUT_delta_mean = vertcat(splitmean{:}); % within a loup sp: OUTPUT_delta_mean_tmp2 = vertcat(splitmean{:}); OUTPUT_delta_mean_tmp2(2, :) = []; OUTPUT_delta_mean(sp, :) = [OUTPUT_delta_mean_tmp2(:, :)];
OUTPUT_delta_se_tmp =  std(OUTPUT_delta(:, :, :, sp),1)./sqrt(size(OUTPUT_delta(:, :, :, sp), 1)); % s.e.
splitse = num2cell(OUTPUT_delta_se_tmp, [1 2]);
OUTPUT_delta_se = vertcat(splitse{:}); % within a loup sp: OUTPUT_delta_se_tmp2 = vertcat(splitmean{:}); OUTPUT_delta_se_tmp2(2, :) = []; OUTPUT_delta_se(sp, :) = [[OUTPUT_delta_se_tmp2(:, :)];

%% Save outputs

title_mean = strcat('Mean', 'Analysis 3', 'Sp', int2str(nPFTS), 'C', int2str(Clim), 'L', int2str(l));
title_se = strcat('S.E.', 'Analysis', int2str(Forestry_Analysis), 'Sp', int2str(nPFTS), 'C',int2str(Clim), 'L', int2str(l));
csvwrite(title_mean, OUTPUT_delta_mean);  
csvwrite(title_se, OUTPUT_delta_se);

%% Plot results    

errorbar(OUTPUT_delta_mean(:,1), OUTPUT_delta_mean(:,3), OUTPUT_delta_se(:,3),'o')  % variable 1: number of species in the forest, variable 3: biodiversity metrics
xlabel('Number of species in the forest')
ylabel('Difference in biodiversity level (% Shannon index H)')