% Number of strata for decomposing each axe of the triangle (try n = 9)  

function [T,BC,RS,PS_tfp,PS_ntfp] = Triangle(n)


% Triangle: Coordinates (x, y, z) = (SZF,  NIPF,  CF)
% Populate matrix T given the dimension n of the faces of the triangle.
% n: subdivision points per axis
% s: total number of points in the triangle
n = 9
s = n*(n - 1)/2 + n;
d = 1/(n - 1);
T = zeros(s,3);
Dim = n:-1:1;
Sn = cumsum(Dim);
for i = 1:n %Axis 1    
    di = d*i - d;
    if i == 1
        Sn0 = 1;
        T(Sn0:Sn(1,i),1) = 0;
    else 
        Sn0 = Sn(1,i-1) + 1;
        T(Sn0:Sn(1,i),1) = di;
    end    
    for j = Sn0:Sn(1,i) %Axis 2 & 3           
        k = j + 1 - Sn0;  
        dj = d*k - d;
        T(j,2) = dj;           
        T(j,3) = 1 - (di + dj);
    end        
end 

% Triangle: Biodiversity Conservation
BC = zeros(n*5,1);
% Triangle: Regulatory services
RS = zeros(n*5,1);
% Triangle: Provisioning services - TFP
PS_tfp = zeros(n*5,1);
% Triangle: Provisioning services - NTFP
PS_ntfp = zeros(n*5,1);

end

