function sendemail(sender,recipient,subject,message,password,attachment)
%% sendemail send email to gmail with attachment
% Example:
% sendemail('Sheldon.Cooper@gmail.com','Howard.Wolowitz@caltech.edu','Don't you think if I were wrong I'd know it','Bazinga!','Diftorhehsmusma','results.emacs')
% Author: Jean-Baptiste Pichancourt
% Modified from http://www.mathworks.com.au/support/solutions/en/data/1-3PRRDV/

%% Set up Gmail SMTP service.
setpref('Internet','SMTP_Server','smtp.gmail.com')
setpref('Internet','E_mail',sender)
setpref('Internet','SMTP_Username',sender)
setpref('Internet','SMTP_Password',password)

%% Modify JavaMail properties in order to get the right port (465 or 587 rather than 25).
props = java.lang.System.getProperties;
props.setProperty('mail.transport.protocol', 'smtp');
props.setProperty('mail.host', sender);
props.setProperty('mail.smtp.auth','true');
props.setProperty('mail.smtp.socketFactory.class', 'javax.net.ssl.SSLSocketFactory');
props.setProperty('mail.smtp.port', '465');
props.setProperty('mail.smtp.socketFactory.port','465');
props.setProperty('mail.smtp.socketFactory.fallback', 'false');
props.setProperty('mail.smtp.quitwait', 'false');

%% Send the email
sendmail(recipient,subject,message,attachment)

%% Erase command history
setpref('Internet','SMTP_Server','')
setpref('Internet','E_mail','')
setpref('Internet','SMTP_Username','')
setpref('Internet','SMTP_Password','')

end

